# $Revision: 1.74.2.5 $, $Date: 2006/08/02 17:23:12 $
Summary:	An archive manager for GNOME
Summary(pl):	Zarzdca archiww dla GNOME
Summary(pt_BR):	Gerenciador de arquivos compactados para o GNOME
Name:		file-roller
Version:	2.14.4
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/file-roller/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	e86c78b3ecc90af20cf66511f4622c5c
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils >= 0.3.1-2
BuildRequires:	gnome-vfs2-devel >= 2.14.2
BuildRequires:	gtk+2-devel >= 2:2.8.18
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.14.1
BuildRequires:	libtool
BuildRequires:	nautilus-devel >= 2.14.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
Requires(post,preun):	GConf2
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires:	gnome-vfs2 >= 2.14.2
Requires:	libgnomeui >= 2.14.1
Requires:	nautilus-libs >= 2.14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File Roller is an archive manager for the GNOME environment. With File
Roller you can: create and modify archives; view the content of an
archive; view a file contained in the archive; extract files from the
archive. File Roller is only a front-end (a graphical interface) to
various archiving programs. The supported file types are:
- Tar archives uncompressed (.tar) or compressed with
	- gzip (.tar.gz , .tgz)
	- bzip (.tar.bz , .tbz)
	- bzip2 (.tar.bz2 , .tbz2)
	- compress (.tar.Z , .taz)
	- lzop (.tar.lzo , .tzo)
- Zip archives (.zip)
- Jar archives (.jar , .ear , .war)
- Lha archives (.lzh)
- Rar archives (.rar)
- Single files compressed with gzip, bzip, bzip2, compress, lzop.

%description -l pl
File Roller to zarzdca archiww dla rodowiska GNOME. Przy jego
pomocy mona: tworzy i modyfikowa archiwa, oglda ich zawarto,
oglda poszczeglne pliki zawarte w archiwum oraz rozpakowywa pliki
z archiww. File Roller jest tylko interfejsem graficznym do
waciwych programw archiwizujcych. Obsugiwane typy plikw to:
- archiwa tar nieskompresowane (.tar) lub skompresowane programami:
	- gzip (.tar.gz, .tgz)
	- bzip (.tar.bz, .tbz)
	- bzip2 (.tar.bz2, .tbz2)
	- compress (.tar.Z, .taz)
	- lzop (.tar.lzo, .tzo)
- archiwa zip (.zip)
- archiwa jar (.jar, .ear, .war)
- archiwa lha (.lzh)
- archiwa rar (.rar)
- pojedyncze pliki skompresowane programami gzip, bzip, bzip2,
  compress, lzop.

%description -l pt_BR
File Roller  um gerenciador de pacotes de arquivos compactados para o
ambiente GNOME. Com ele  possvel criar arquivos, visualizar o
contedo de arquivos existentes, visualizar um arquivo contido em um
pacote e extrair os arquivos de um pacote.

%prep
%setup -q
%patch0 -p1

%build
%{__gnome_doc_prepare}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	omf_dest_dir=%{_omf_dest_dir}/%{name} \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.la
rm -rf $RPM_BUILD_ROOT%{_datadir}/{mime-info,application-registry}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install file-roller.schemas
%scrollkeeper_update_post
%update_desktop_database_post
%update_icon_cache hicolor
%banner %{name} -e << EOF
For fully operational File Roller you need to install archiving
programs described in README.
EOF

%preun
%gconf_schema_uninstall file-roller.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/file-roller
%attr(755,root,root) %{_libdir}/nautilus/extensions-1.0/*.so
%{_datadir}/file-roller
%{_desktopdir}/*
%{_iconsdir}/hicolor/*/apps/file-roller.png
%{_omf_dest_dir}/%{name}
%{_sysconfdir}/gconf/schemas/file-roller.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: file-roller.spec,v $
Revision 1.74.2.5  2006/08/02 17:23:12  freetz
- 2.14.4, use rpm macros

Revision 1.74.2.4  2006/05/31 20:10:17  freetz
- typo

Revision 1.74.2.3  2006/05/31 19:27:56  freetz
- 2.14.3, GNOME 2.14.2 deps

Revision 1.74.2.2  2006/05/18 22:44:43  baggins
- release 2
- strict reqs

Revision 1.74.2.1  2006/05/16 16:56:04  baggins
- merged from HEAD

Revision 1.77  2006/04/20 18:46:03  freetz
- 2.14.2

Revision 1.76  2006/04/10 21:30:56  freetz
- 2.14.1, switched to hicolor icon theme dir

Revision 1.75  2006/04/02 14:32:16  freetz
- merged from DEVEL

Revision 1.73.2.4  2006/03/13 21:21:34  freetz
- 2.14.0

Revision 1.73.2.3  2006/02/28 08:34:42  freetz
- 2.13.92

Revision 1.73.2.2  2006/02/14 07:58:40  freetz
- 2.13.91

Revision 1.73.2.1  2006/01/31 15:10:28  freetz
- 2.13.90

Revision 1.74  2006/02/08 15:35:02  freetz
- 2.12.3

Revision 1.73  2005/11/28 22:44:18  freetz
- 2.12.2

Revision 1.72  2005/10/04 20:19:58  freetz
- 2.12.1

Revision 1.71  2005/09/06 18:33:41  freetz
- merged from DEVEL and updated to 2.12.0

Revision 1.69.2.6  2005/08/22 20:21:59  aflinta
- 2.11.92

Revision 1.69.2.5  2005/08/18 09:35:22  aflinta
- rebuild with cairo, rel. 2

Revision 1.69.2.4  2005/08/09 13:09:14  paladine
- missing BR: scrollkeeper

Revision 1.69.2.3  2005/08/09 10:09:07  paladine
- updated to 2.11.91
- gnome-doc-utils for omf files

Revision 1.69.2.2  2005/07/25 18:41:06  freetz
- 2.11.90

Revision 1.69.2.1  2005/07/03 21:46:01  freetz
- 2.11.2
